---
title: Element.removeAttribute()
slug: Web/API/Element/removeAttribute
tags:
  - API
  - DOM
  - Element
  - Method
  - Reference
  - remove
  - removeAttribute
---
<div>{{ APIRef("DOM") }}</div>

<p><span class="seoSummary">The {{domxref("Element")}} method <strong><code>removeAttribute()</code></strong> removes the attribute with the specified name from the element.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>element</em>.removeAttribute(<em>attrName</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>attrName</var></code></dt>
 <dd>A {{domxref("DOMString")}} specifying the name of the attribute to remove from the element. If the specified attribute does not exist, <code>removeAttribute()</code> returns without generating an error.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>You should use <code>removeAttribute()</code> instead of setting the attribute value to <code>null</code> either directly or using {{domxref("Element.setAttribute", "setAttribute()")}}. Many attributes will not behave as expected if you set them to <code>null</code>.</p>

<p>{{ DOMAttributeMethods() }}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// Given: &lt;div id="div1" align="left" width="200px"&gt;
document.getElementById("div1").removeAttribute("align");
// Now: &lt;div id="div1" width="200px"&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-element-removeattribute', 'Element" removeAttribute')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.removeAttribute")}}</p>
